package com.salpa.subject.mapper;

import com.salpa.subject.domain.MonitorDatabaseType;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author zhuff
 */
@Mapper
public interface DatabaseTypeMapper {

    List<MonitorDatabaseType> getDatabaseTypeAll();

    List<MonitorDatabaseType> getList(String databaseType);

    int checkDatabaseTypeUnique(String databaseType);

    int addDatabaseType(MonitorDatabaseType monitorDatabaseType);

    MonitorDatabaseType getById(Integer id);

    int updateDatabaseType(MonitorDatabaseType monitorDatabaseType);

    int deleteDatabaseType(Integer id);

    int countDataSource(String databaseType);

    MonitorDatabaseType getTypeByName(String databaseType);
}
